List Customer Transactions
curl --request GET \
--url https://sandbox.api.fin.com/v2/transactions \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v2/transactions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v2/transactions")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v2/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v2/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"pagination": {
"current_page": 1,
"per_page": 10,
"total_page": 1,
"total": 2
},
"transactions": [
{
"id": "8c92e9dd-6456-4aee-a441-1861144f1d8b",
"transaction_type": "CRYPTO_WITHDRAWAL",
"customer_id": "1a8e3bdc-05c9-4486-bdef-93464d24c9af",
"beneficiary_id": "6af8d598-36a5-477d-9320-d7c5ba309107",
"hash": "0xd2a3d65ce04c24c7af2b4ab86ac8c3ca525d010c600733bb062be74ee3899ec9",
"status": "COMPLETED",
"source_currency": "USDC",
"destination_currency": "USDC",
"source_amount": 5,
"destination_amount": 4.98535,
"total_fee": 0.014649,
"created_at": "2026-04-29T09:56:14.906031Z",
"updated_at": "2026-04-29T09:56:58.631047Z"
},
{
"id": "2b7b52cd-20df-4a03-83a0-bc6d989fd6ad",
"transaction_type": "CRYPTO_WITHDRAWAL",
"customer_id": "1a8e3bdc-05c9-4486-bdef-93464d24c9af",
"beneficiary_id": "b6a1d0c1-c202-43a8-a8c9-4d09ac5eb8f2",
"hash": "0x03eebd78faba32e5e04b03fa0e163de557d77de7e4e25b935d992964fa0b05db",
"status": "COMPLETED",
"source_currency": "USDC",
"destination_currency": "USDC",
"source_amount": 5.1,
"destination_amount": 4.996173,
"total_fee": 0.103826,
"created_at": "2026-04-25T20:50:34.759464Z",
"updated_at": "2026-04-25T20:51:22.070885Z"
}
]
}
}{
"message": "Authentication failed"
}{
"message": "<string>",
"errors": [
{}
]
}Transactions List
List Customer Transactions
Returns a paginated list of transactions for a customer, optionally filtered by transaction type.
GET
/
v2
/
transactions
List Customer Transactions
curl --request GET \
--url https://sandbox.api.fin.com/v2/transactions \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v2/transactions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v2/transactions")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v2/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v2/transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"pagination": {
"current_page": 1,
"per_page": 10,
"total_page": 1,
"total": 2
},
"transactions": [
{
"id": "8c92e9dd-6456-4aee-a441-1861144f1d8b",
"transaction_type": "CRYPTO_WITHDRAWAL",
"customer_id": "1a8e3bdc-05c9-4486-bdef-93464d24c9af",
"beneficiary_id": "6af8d598-36a5-477d-9320-d7c5ba309107",
"hash": "0xd2a3d65ce04c24c7af2b4ab86ac8c3ca525d010c600733bb062be74ee3899ec9",
"status": "COMPLETED",
"source_currency": "USDC",
"destination_currency": "USDC",
"source_amount": 5,
"destination_amount": 4.98535,
"total_fee": 0.014649,
"created_at": "2026-04-29T09:56:14.906031Z",
"updated_at": "2026-04-29T09:56:58.631047Z"
},
{
"id": "2b7b52cd-20df-4a03-83a0-bc6d989fd6ad",
"transaction_type": "CRYPTO_WITHDRAWAL",
"customer_id": "1a8e3bdc-05c9-4486-bdef-93464d24c9af",
"beneficiary_id": "b6a1d0c1-c202-43a8-a8c9-4d09ac5eb8f2",
"hash": "0x03eebd78faba32e5e04b03fa0e163de557d77de7e4e25b935d992964fa0b05db",
"status": "COMPLETED",
"source_currency": "USDC",
"destination_currency": "USDC",
"source_amount": 5.1,
"destination_amount": 4.996173,
"total_fee": 0.103826,
"created_at": "2026-04-25T20:50:34.759464Z",
"updated_at": "2026-04-25T20:51:22.070885Z"
}
]
}
}{
"message": "Authentication failed"
}{
"message": "<string>",
"errors": [
{}
]
}GET /v2/transactions?customer_id=765d498e-a267-4154-9d2f-9e411a0b50dd&type=CRYPTO_WITHDRAWAL¤t_page=1&per_page=10
Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Query Parameters
The customer ID to fetch transactions for.
Filter transactions by type.
Available options:
ONRAMP, OFFRAMP, CRYPTO_WITHDRAWAL, CRYPTO_DEPOSIT The page number to retrieve
Required range:
x >= 1Number of results per page. Must be between 1 and 100.
Required range:
1 <= x <= 100Response
Transactions retrieved successfully
Show child attributes
Show child attributes
⌘I
